ab92d3
From c588aea59c9a2441596b84722c6c32449676f07d Mon Sep 17 00:00:00 2001
ab92d3
From: Lukas Nykryn <lnykryn@redhat.com>
ab92d3
Date: Thu, 18 Feb 2021 11:23:41 +0100
ab92d3
Subject: [PATCH] fix(fcoe): rename rd.nofcoe to rd.fcoe
ab92d3
ab92d3
The current name of this bool is kinda stupid. Based on the manpage
ab92d3
setting it to 0 turns off fcoe, which means that nofcoe=1 should mean
ab92d3
that it is on.
ab92d3
ab92d3
Let's just do the same thing as with rd.lvm=0, rd.luks=0,....
ab92d3
ab92d3
(cherry picked from commit 6f7823bce65dd4b52497dbb94892b637fd06471a)
ab92d3
ab92d3
Resolves: #1929201
ab92d3
---
ab92d3
 dracut.cmdline.7.asc           | 2 +-
ab92d3
 modules.d/95fcoe/lldpad.sh     | 4 ++--
ab92d3
 modules.d/95fcoe/parse-fcoe.sh | 4 ++--
ab92d3
 3 files changed, 5 insertions(+), 5 deletions(-)
ab92d3
ab92d3
diff --git a/dracut.cmdline.7.asc b/dracut.cmdline.7.asc
ab92d3
index bf745575..327f85de 100644
ab92d3
--- a/dracut.cmdline.7.asc
ab92d3
+++ b/dracut.cmdline.7.asc
ab92d3
@@ -779,7 +779,7 @@ iscsistart -b --param node.session.timeo.replacement_timeout=30
ab92d3
 
ab92d3
 FCoE
ab92d3
 ~~~~
ab92d3
-**rd.nofcoe=0**::
ab92d3
+**rd.fcoe=0**::
ab92d3
     disable FCoE and lldpad
ab92d3
 
ab92d3
 **fcoe=**__<edd|interface|MAC>__:__{dcb|nodcb}__:__{fabric|vn2vn}__::
ab92d3
diff --git a/modules.d/95fcoe/lldpad.sh b/modules.d/95fcoe/lldpad.sh
ab92d3
index 6b1844b0..c860035f 100755
ab92d3
--- a/modules.d/95fcoe/lldpad.sh
ab92d3
+++ b/modules.d/95fcoe/lldpad.sh
ab92d3
@@ -1,7 +1,7 @@
ab92d3
 #!/bin/bash
ab92d3
 
ab92d3
-if ! getargbool 1 rd.nofcoe ; then
ab92d3
-	info "rd.nofcoe=0: skipping lldpad activation"
ab92d3
+if ! getargbool 1 rd.fcoe -d -n rd.nofcoe ; then
ab92d3
+	info "rd.fcoe=0: skipping lldpad activation"
ab92d3
 	return 0
ab92d3
 fi
ab92d3
 
ab92d3
diff --git a/modules.d/95fcoe/parse-fcoe.sh b/modules.d/95fcoe/parse-fcoe.sh
ab92d3
index 5553602f..0a8067f5 100755
ab92d3
--- a/modules.d/95fcoe/parse-fcoe.sh
ab92d3
+++ b/modules.d/95fcoe/parse-fcoe.sh
ab92d3
@@ -13,8 +13,8 @@
ab92d3
 # fcoe=eth0:nodcb:vn2vn
ab92d3
 # fcoe=4a:3f:4c:04:f8:d7:nodcb:fabric
ab92d3
 
ab92d3
-if ! getargbool 1 rd.nofcoe ; then
ab92d3
-	info "rd.nofcoe=0: skipping fcoe"
ab92d3
+if ! getargbool 1 rd.fcoe -d -n rd.nofcoe ; then
ab92d3
+	info "rd.fcoe=0: skipping fcoe"
ab92d3
 	return 0
ab92d3
 fi
ab92d3
 
ab92d3